<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\Kursdetails\DetailsReiter\Teilnehmer\ExportTable;

abstract class TeilnehmerExportTablePresenter extends \Kufer\KuferTools\Basis\Presenter\MitRahmenPresenter
{
  protected function getNewViewModel(): TeilnehmerExportTableViewModel
  {
    return new TeilnehmerExportTableViewModel();
  }

  protected function getViewModel()
  {
    $result = $this->getNewViewModel();
    $result->kurs = $this->useCaseResponse->kurs;
    $result->belegungen = $this->useCaseResponse->belegungen;
    $result->toolId = $this->useCaseResponse->toolId;
    $result->referer = $this->useCaseResponse->referer;
    $result->refererLabel = $this->useCaseResponse->refererLabel;

    return $result;
  }

  protected function getJsFilesSrcAryWeitere()
  {
    return array_merge(
      parent::getJsFilesSrcAryWeitere(),
      array(
        $this->getJsFileFromSys('exporttable.js')
      )
    );
  }
}